
struct vicadev;

typedef struct
{
  char *device_name;
  int w, h, bpl;
  struct vicadev *dev;
} vica_t;

extern void (*vica_error_output)(const char* fmt,va_list);

vica_t* vica_init(const char *devname,const char *reqfmt,
                  int nbuffers,int reqW,int reqH);
vica_t* vica_close(vica_t *V);

int vica_fd(vica_t *V);

vica_t* vica_start(vica_t *V);
vica_t* vica_stop(vica_t *V);

vica_t* vica_get(vica_t *V, unsigned char **Rbuf,unsigned int *Rlen);
vica_t* vica_put(vica_t *V);

