#include <stdio.h>
#include <unistd.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include "spi-rpi.h"
#include "gpio.h"


static unsigned char rbuf[200], tbuf[200];

int main(int argc,char **argv)
{
  int i;
  if (SPIinit(argv[1], atoi(argv[2]))) return 1;
  gpio_output(0);
  while(1)
  {
    if (!fgets((char*)tbuf,sizeof(tbuf),stdin)) break;
    tbuf[sizeof(tbuf)-1]= 0;
    for(i=0;i<tbuf[i];i++)
      if (tbuf[i]=='\r' || tbuf[i]=='\n') { tbuf[i]= 0; break; }
    if (tbuf[0]=='X') { usleep(10000); gpio_set(0); }
    else if (tbuf[0]=='x') { usleep(10000); gpio_clr(0); }
    if (SPIxfr(tbuf, rbuf, strlen((char*)tbuf))) break;
    printf("TX: "); for(i=0;tbuf[i];i++) printf("%02x ", tbuf[i]); printf("\n");
    printf("RX: "); for(i=0;tbuf[i];i++) printf("%02x ", rbuf[i]); printf("\n");
  }
  SPIclose();
  gpio_quit();
  return 0;
}
